import { Color, GeometryProps, TextNodeProps } from '../types';
export interface TextStyleProperties {
    color: string;
    fontFamily: string;
    fontWeight: string | number;
    fontStyle: 'normal' | 'italic';
    fontSize: number;
    textAlign: 'auto' | 'left' | 'right' | 'center' | 'justify';
    lineHeight: number | string;
    letterSpacing: number | string;
    textDecorationLine: 'none' | 'underline' | 'line-through';
    textShadowColor: Color;
    textShadowOffset: {
        width: number;
        height: number;
    };
    textShadowRadius: number;
}
interface TextProperties extends GeometryProps, TextNodeProps {
}
export declare const transformTextStyleProperties: (style?: Partial<TextStyleProperties>) => TextProperties;
export {};
